# Uses of Interface
org.eclipse.emf.cdo.security.ResourcePermission

Packages that use ResourcePermission
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of ResourcePermission in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return ResourcePermission
Modifier and Type
Method
Description
`ResourcePermission`
SecurityFactory.`createResourcePermission()`
Deprecated.
As of 4.3 use `SecurityFactory.createFilterPermission()` and `SecurityFactory.createResourceFilter()`.
`ResourcePermission`
SecurityFactory.`createResourcePermission(String pattern, Access access)`
Deprecated.
As of 4.3 use `SecurityFactory.createFilterPermission()` and `SecurityFactory.createResourceFilter(String)`.

## Uses of ResourcePermission in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement ResourcePermission
Modifier and Type
Class
Description
`class`
`ResourcePermissionImpl`
Deprecated.
Methods in org.eclipse.emf.cdo.security.impl that return ResourcePermission
Modifier and Type
Method
Description
`ResourcePermission`
SecurityFactoryImpl.`createResourcePermission()`
Deprecated.
`ResourcePermission`
SecurityFactoryImpl.`createResourcePermission(String pattern, Access access)`
Deprecated.

## Uses of ResourcePermission in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type ResourcePermission
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseResourcePermission(ResourcePermission object)`
Returns the result of interpreting the object as an instance of 'Resource Permission'.
`boolean`
SecurityValidator.`validateResourcePermission(ResourcePermission resourcePermission, DiagnosticChain diagnostics, Map<Object,Object> context)`